[OpenID] PHP library

Rowan Kerr rowan at standardinteractive.com
Thu Jan 11 19:51:11 UTC 2007


On 1/11/07, Dmitry Shechtman <damnian at gmail.com> wrote:
> Rowan Kerr wrote:
> > I started that work, the Drupal 4.6 version. Looks like James is
> > getting it fired up on 4.7 which is great.
>
> Yeah, there is also a 5.0 version, but it hasn't been updated for a while.

Mhmm .. I started on that, and then need it to work on 4.6 first. The
plan is to go back and get the 5 version working after 4.6/7 are solid
(and Drupal 5 is released :).

>
> > not only does the code have to be "Drupalish", it also needs to be
> > GPL'd. Nothing against the JanRain libraries...
>
> I fail to see the catch in using the PHP library. It's LGPL, so calling it
> from GPL code shouldn't be a problem. Am I missing something?

I thought it was Apache licensed? Anyway it's the policy of the Drupal
project to only accept GPL code into their repositories.

-Rowan



More information about the general mailing list